Appearance
Submit an idea
Ideas
Authors can submit an idea, providing the title and content of the idea. A submitted idea by an author is always open, meaning the original author and other authors can reply to it. The author's vote is added automatically and they also can unvote their ideas. Authors can also optionally add public tags and product areas when submitting an idea. Moderators can optionally submit an idea as closed, which means that only moderators can reply to it.
POST
/ideas/submit
Parameters
Query Parameters
authorId*
The ID of author of the idea
Type
Requiredstring
Request Body
application/json
JSON "title": "Welcome to the community", "content": "Is this your first visit to our community-driven Help Center? Well then welcome to our small world of awesomeness!", "productAreaIds": "1,2,3", "tags": [ [ "new", "welcome" ] ], "categoryId": 16, "sticky": false, "closed": false, "moderatorTags": [ [ "highlighted" ] ]
{
}
Responses
Idea submitted
application/json
JSON "id": "string", "publicId": "string"
{
}

